# QVM: Quaternions, Vectors, Matrices

### mag(quat)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_quat<A>::value
            template <class A>
            typename quat_traits<A>::scalar_type
            mag( A const & a );
        }
    }

#### Returns:

The magnitude of the quaternion a.

See also: boost/qvm/quat_operations.hpp | normalize(quat)